Difference between revisions of "Tracking Dependencies"

From Inkscape Wiki
Jump to navigation Jump to search
(New page: (stub contents in need of filling out) We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the need...)
 
Line 1: Line 1:
 
(stub contents in need of filling out)
 
(stub contents in need of filling out)
  
 +
== Overview ==
  
 
We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the needed dependencies.
 
We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the needed dependencies.
Line 6: Line 7:
  
 
To get glib and GTK+ dependencies figured out, people can go through the API documentation and look for the 'since' entries saying when calls were added. Then look for those calls in our source. Voila! we'll have base minimum dependencies figured out.
 
To get glib and GTK+ dependencies figured out, people can go through the API documentation and look for the 'since' entries saying when calls were added. Then look for those calls in our source. Voila! we'll have base minimum dependencies figured out.
 +
 +
 +
== Libs ==
 +
 +
{| class="wikitable" border="1"
 +
|-
 +
! Library
 +
! Inkscape 0.45
 +
! Inkscape 0.46
 +
! Inkscape 0.47
 +
|-
 +
| boehmgc
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| cairo
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| cairomm
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| gdk
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| gdkmm
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| glib
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| glibmm
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| gtk+
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| gtkmm
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| lcms
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| libxml2
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| libxslt
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| pango
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| pangomm
 +
| ?
 +
| ?
 +
| ?
 +
|-
 +
| poppler
 +
| ?
 +
| ?
 +
| ?
 +
|}

Revision as of 05:19, 25 June 2008

(stub contents in need of filling out)

Overview

We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the needed dependencies.


To get glib and GTK+ dependencies figured out, people can go through the API documentation and look for the 'since' entries saying when calls were added. Then look for those calls in our source. Voila! we'll have base minimum dependencies figured out.


Libs

Library Inkscape 0.45 Inkscape 0.46 Inkscape 0.47
boehmgc ? ? ?
cairo ? ? ?
cairomm ? ? ?
gdk ? ? ?
gdkmm ? ? ?
glib ? ? ?
glibmm ? ? ?
gtk+ ? ? ?
gtkmm ? ? ?
lcms ? ? ?
libxml2 ? ? ?
libxslt ? ? ?
pango ? ? ?
pangomm ? ? ?
poppler ? ? ?